# PDSNConnection Class Reference

DSN (Data Source Name) Connection. More...

`#include <podbc.h>`

Inheritance diagram for PDSNConnection:

List of all members.

## Public Member Functions

Constructor/Deconstructor
| PDSNConnection ()
| ~PDSNConnection ()
Connection/Disconnect
PBoolean | Connect (PString Source, PString Username, PString Password)
| Connect to the MDAC using a pre-existing MDAC Defined DataSource This is different than calling PODBC::DataSource in that the Data Source is known defined externally within MDAC,.

## Detailed Description

DSN (Data Source Name) Connection.

The connection settings have been preconfiured in the MDAC (Microsoft Data Access Component) and is called using those Preset Settings. Calling the PDSNConnection::Connect has the same effect and is a replaceable for PODBC::DataSource,

## Constructor & Destructor Documentation

PDSNConnection::PDSNConnection | ( |  | ) |

PDSNConnection::~PDSNConnection | ( |  | ) |

## Member Function Documentation

PBoolean PDSNConnection::Connect | ( | PString | Source,
|  | PString | Username,
|  | PString | Password |
| ) |  |  |

Connect to the MDAC using a pre-existing MDAC Defined DataSource This is different than calling PODBC::DataSource in that the Data Source is known defined externally within MDAC,.

The documentation for this class was generated from the following file:

- podbc.h